#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A library for accessing mail storages in MBox format
Name:           kmbox
Version: 17.12.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros
BuildRequires:  kdelibs4support-devel >= 5.12.0
BuildRequires:  kmime-devel >= %version

BuildRequires:  boost-devel

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
A library for accessing mail storages in MBox format.

#--------------------------------------------------------------------

%define kmbox_major 5
%define libkmbox %mklibname kf5mbox %{kmbox_major}

%package -n %libkmbox
Summary:      A library for accessing mail storages in MBox format
Group:        System/Libraries

Conflicts:    %{_lib}libkmbox4 < 16.03.80

%description -n %libkmbox
A library for accessing mail storages in MBox format.

%files -n %libkmbox
%_kf5_libdir/libKF5Mbox.so.%{kmbox_major}*

#--------------------------------------------------------------------

%define kmbox_devel %mklibname kf5mbox -d

%package -n %kmbox_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkmbox = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmbox_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmbox_devel
%_kf5_includedir/KMbox
%_kf5_includedir/kmbox_version.h
%_kf5_libdir/libKF5Mbox.so
%_kf5_libdir/cmake/KF5Mbox
%_kf5_mkspecsdir/qt_Mbox.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

#find_lang %{name}5 --all-name



%changelog
* Sat Feb 17 2018 neoclust <neoclust> 17.12.2-1.mga6
+ Revision: 1202292
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090090
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076830
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072031
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067350
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061409
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050675
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047319
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040076
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012564
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004353
- New version 16.04.0

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-2.mga6
+ Revision: 995864
- Fix update

* Mon Mar 28 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995843
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991198
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987467
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922636
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911949
- New version 15.12.0

* Fri Dec 11 2015 shlomif <shlomif> 15.11.80-2.mga6
+ Revision: 909468
- Rebuild for new deps (g++/etc.).

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905407
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901143
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890624
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880436
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865954
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863695
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861767
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-2.mga6
+ Revision: 858745
- Fix devel package name

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858461
- imported package kmbox

